Skip to main content
GET
/
app.rocksky.feed.getFeedGenerator
Get information about a feed generator
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.feed.getFeedGenerator \
  --header 'Authorization: Bearer <token>'
{
  "view": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "uri": "<string>",
    "avatar": "<string>",
    "creator": {
      "id": "<string>",
      "did": "<string>",
      "handle": "<string>",
      "displayName": "<string>",
      "avatar": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

feed
string<at-uri>
required

AT-URI of the feed generator record.

Response

OK

view
object